> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Tryon Summary



## OpenAPI

````yaml /openapi/kling.json post /kling/virtual-try-on
openapi: 3.0.0
info:
  title: Kling video generation
  version: 1.0.0
  description: API reference for Kling video generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /kling/virtual-try-on:
    post:
      summary: Kling Tryon Summary
      operationId: kling_create_virtual_try_on
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - contents
              properties:
                contents:
                  type: array
                  minItems: 2
                  items:
                    oneOf:
                      - type: object
                        additionalProperties: false
                        required:
                          - type
                          - url
                        properties:
                          type:
                            type: string
                            enum:
                              - product_image
                          url:
                            type: string
                            minLength: 1
                      - type: object
                        additionalProperties: false
                        required:
                          - type
                          - url
                        properties:
                          type:
                            type: string
                            enum:
                              - person_image
                          url:
                            type: string
                            minLength: 1
                  description: Kling Tryon Contents
                settings:
                  type: object
                  additionalProperties: false
                  properties:
                    keep_face:
                      type: boolean
                      default: true
                    keep_pose:
                      type: boolean
                      default: true
                    keep_background:
                      type: boolean
                      default: true
                watermark:
                  type: boolean
                  description: Kling Tryon Watermark
                async:
                  type: boolean
                  default: false
                  description: Kling Tryon Async
                callback_url:
                  type: string
                  format: uri
                  description: Kling Tryon Callback
      responses:
        '200':
          description: Kling Tryon Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  task_id:
                    type: string
                  trace_id:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - image
                            - video
                        image_url:
                          type: string
                        video_url:
                          type: string
                        watermark_url:
                          type: string
                  usage:
                    type: object
                    properties:
                      seconds:
                        type: number
                        readOnly: true
                      image_count:
                        type: integer
                        readOnly: true
                      pricing_tier:
                        type: string
                        readOnly: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````